Subject: Re: What's cooking in git.git (Sep 2018, #01; Tue, 4)

From: SZEDER Gábor <[email-masked]>
Date: Wed, 5 Sep 2018 20:18:52 +0200

On Wed, Sep 05, 2018 at 06:48:06PM +0200, Duy Nguyen wrote:
> On Wed, Sep 5, 2018 at 6:35 PM Junio C Hamano <[email-masked]> wrote:
> >
> > Junio C Hamano <[email-masked]> writes:
> >
> > > Here are the topics that have been cooking.  Commits prefixed with
> > > '-' are only in 'pu' (proposed updates) while commits prefixed with
> > > '+' are in 'next'.  The ones marked with '.' do not appear in any of
> > > the integration branches, but I am still holding onto them.
> > >
> > > Git 2.19-rc2 is out.  Hopefully the tip of 'master' is more or less
> > > identical to the final one without needing much updates.
> >
> > By the way, linux-gcc job of TravisCI seems to have been unhappy
> > lately all the way down to 'master'.  It fails split-index tests,
> > which may or may not be new breakage.
> >
> >     https://travis-ci.org/git/git/jobs/424552273
> >
> > If this is a recent regression, we may want to revert a few commits,
> > but I do not offhand recall us having touched the spilt-index part
> > of the code during this cycle.

It's not a regression, it's as old as the split index feature itself.

> I can't reproduce it here (with either 64 or 32 bit builds on x86).
> Not denying the problem, just a quick update. I'll need more time,
> maybe over weekend to have a closer look.

I have the patches almost ready, only the commit messages need some
touching up.